utl::meta::detail::compose_f_< Fn0, Fns... > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename... Args>
using | apply = invoke< quote< Fn0 >, invoke< compose_f_< Fns... >, Args... > >

## Detailed Description

### template<template< typename... > class Fn0, template< typename... > class... Fns>
struct utl::meta::detail::compose_f_< Fn0, Fns... >

Definition at line 260 of file invoke.h.

## Member Typedef Documentation

## apply

template<template< typename... > class Fn0, template< typename... > class... Fns>
template<typename... Args>

using utl::meta::detail::compose_f_< Fn0, Fns... >::apply = invoke< quote<Fn0>, invoke<compose_f_<Fns...>, Args...> >

Definition at line 265 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h